# # config file version
#jinja2: trim_blocks: True, lstrip_blocks: True
auth_enabled: {{ loki_auth_enabled | bool | lower }}

server:
  http_listen_port: {{ loki_server_http_listen_port }}  

{% if loki_memberlist is defined %}
memberlist:
  {{ loki_memberlist | to_nice_yaml(indent=2) | indent(2, False) }}
{% endif %}

ingester:
  {{ loki_ingester | to_nice_yaml(indent=2) | indent(2, False) }}

{% if loki_compactor is defined %}
compactor:
  {{ loki_compactor | to_nice_yaml(indent=2) | indent(2, False) }}
{% endif %}

schema_config:
  configs:
  {{ loki_schema_config | to_nice_yaml(indent=2) | indent(2, False) }}

storage_config:
  {{ loki_storage_config | to_nice_yaml(indent=2) | indent(2, False) }}

limits_config:
  {{ loki_limits_config | to_nice_yaml(indent=2) | indent(2, False) }}

chunk_store_config:
  {{ loki_chunk_store_config | to_nice_yaml(indent=2) | indent(2, False) }}

table_manager:
  {{ loki_table_manager | to_nice_yaml(indent=2) | indent(2, False) }}

{% if loki_query_range is defined %}
query_range:
  {{ loki_query_range | to_nice_yaml(indent=2) | indent(2, False) }}
{% endif %}
